#include <iostream>
using namespace std;

void arrayPrint(int* a, int n);
int arraySmallest(int* a,int start,int end);
void swap(int& x,int& y);
void selectionSort(int* a, int n);



void main(){
	int *a;
	cout << "Please enter the number of integers" << endl;
	int n,i;
	cin >> n;
	cout << "Please enter " << n << " integers" << endl;
	a = new int[n];
	for(i=0;i<n;i++)
		cin >> a[i];
	cout << "Before Sorting" << endl;
	arrayPrint(a,n);
	selectionSort(a,n);
	cout << "After Sorting" << endl;
	arrayPrint(a,n);
	delete[] a;
}

void arrayPrint(int a[], int n){
	for(int i=0;i<n;i++){
		cout << a[i] << " " ;
	}
	cout << endl;
}
int arraySmallest(int* a,int start,int end){
	int indexOfMinimum = start;
	for(int i=start;i<=end;i++)
		if(a[i]<a[indexOfMinimum])
			indexOfMinimum = i;
	return indexOfMinimum;
}
void swap(int& x,int& y){
	int temp = x;
	x = y;
	y = temp;
}
void selectionSort(int* a, int n){
	for(int i=0;i<n;i++){
		int k = arraySmallest(a,i,n-1);
		swap(a[i],a[k]);
	}
}